package com.yihu.jw.entity.care.device;

import com.yihu.jw.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * Created by Bing on 2021/10/20.
 */
@Entity
@Table(name = "dm_ys_config")
public class YsConfigDo extends IdEntity {

    private Integer configId; //配置编号
    private String appKey;
    private String appSecret;
    private String msgDataKey; //推送消息解密密钥
    private String accessTokenKey; //token Key
    private String iotAccessTokenKey; //iot token Key
    private String secretKey; //设备的解密秘钥 key

    public Integer getConfigId() {
        return configId;
    }

    public void setConfigId(Integer configId) {
        this.configId = configId;
    }

    public String getAppKey() {
        return appKey;
    }

    public void setAppKey(String appKey) {
        this.appKey = appKey;
    }

    public String getAppSecret() {
        return appSecret;
    }

    public void setAppSecret(String appSecret) {
        this.appSecret = appSecret;
    }

    public String getMsgDataKey() {
        return msgDataKey;
    }

    public void setMsgDataKey(String msgDataKey) {
        this.msgDataKey = msgDataKey;
    }

    public String getAccessTokenKey() {
        return accessTokenKey;
    }

    public void setAccessTokenKey(String accessTokenKey) {
        this.accessTokenKey = accessTokenKey;
    }

    public String getIotAccessTokenKey() {
        return iotAccessTokenKey;
    }

    public void setIotAccessTokenKey(String iotAccessTokenKey) {
        this.iotAccessTokenKey = iotAccessTokenKey;
    }

    public String getSecretKey() {
        return secretKey;
    }

    public void setSecretKey(String secretKey) {
        this.secretKey = secretKey;
    }
}
